<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:45:32 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
BasicAsyncRequestExecutionHandler (HttpCore NIO 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BasicAsyncRequestExecutionHandler (HttpCore NIO 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicAsyncRequestExecutionHandler.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestHandler.html" title="class in org.apache.http.nio.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicAsyncRequestExecutionHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.nio.protocol</FONT>
<BR>
Class BasicAsyncRequestExecutionHandler&lt;T&gt;</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.nio.protocol.BasicAsyncRequestExecutionHandler&lt;T&gt;</B>
</PRE>
<DL>
<DT><DT><B>Type Parameters:</B><DD><CODE>T</CODE> - the result type of request execution.</DL>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>, <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/Cancellable.html?is-external=true" title="class or interface in org.apache.http.concurrent">Cancellable</A>, <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestExecutionHandler</A>&lt;T&gt;, <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>, <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>BasicAsyncRequestExecutionHandler&lt;T&gt;</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestExecutionHandler</A>&lt;T&gt;</DL>
</PRE>

<P>
Basic implementation of <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestExecutionHandler</CODE></A> that executes
 a single HTTP request / response exchange.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy)">BasicAsyncRequestExecutionHandler</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                  <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/FutureCallback.html?is-external=true" title="class or interface in org.apache.http.concurrent">FutureCallback</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;callback,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reuseStrategy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of BasicAsyncRequestExecutionHandler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.params.HttpParams)">BasicAsyncRequestExecutionHandler</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                  <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/FutureCallback.html?is-external=true" title="class or interface in org.apache.http.concurrent">FutureCallback</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;callback,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reuseStrategy,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use
   <A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy)"><CODE>BasicAsyncRequestExecutionHandler(
     HttpAsyncRequestProducer, HttpAsyncResponseConsumer, FutureCallback, HttpContext,
     HttpProcessor, ConnectionReuseStrategy)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor)">BasicAsyncRequestExecutionHandler</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                  <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new instance of BasicAsyncRequestExecutionHandler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.params.HttpParams)">BasicAsyncRequestExecutionHandler</A></B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                  <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reuseStrategy,
                                  <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use
   <A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy)"><CODE>BasicAsyncRequestExecutionHandler(
     HttpAsyncRequestProducer, HttpAsyncResponseConsumer, FutureCallback, HttpContext,
     HttpProcessor, ConnectionReuseStrategy)</CODE></A></I></TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#cancel()">cancel</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#close()">close</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#consumeContent(org.apache.http.nio.ContentDecoder, org.apache.http.nio.IOControl)">consumeContent</A></B>(<A HREF="../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio">ContentDecoder</A>&nbsp;decoder,
               <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A>&nbsp;ioctrl)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to process a chunk of content from the <A HREF="../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio"><CODE>ContentDecoder</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#failed(java.lang.Exception)">failed</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</A>&nbsp;ex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to signal that the response processing terminated abnormally.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#generateRequest()">generateRequest</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to generate a HTTP request message head.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getConnectionReuseStrategy()">getConnectionReuseStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http"><CODE>ConnectionReuseStrategy</CODE></A> implementation to be used
 to determine whether or not the underlying connection can be kept alive
 after a particular HTTP request / response exchange.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getContext()">getContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns shared <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>HttpContext</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getException()">getException</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an exception in case of an abnormal termination.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getFuture()">getFuture</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getHttpProcessor()">getHttpProcessor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>HttpProcessor</CODE></A> implementation to be used to process
 HTTP request and response messages for protocol compliance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getResult()">getResult</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a result of the response processing, when available.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getTarget()">getTarget</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to obtain the request target host.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#isDone()">isDone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines whether or not the response processing completed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#isRepeatable()">isRepeatable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines whether or not this producer is capable of producing
 HTTP request messages more than once.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)">produceContent</A></B>(<A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio">ContentEncoder</A>&nbsp;encoder,
               <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A>&nbsp;ioctrl)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to write out a chunk of content to the <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio"><CODE>ContentEncoder</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#requestCompleted(org.apache.http.protocol.HttpContext)">requestCompleted</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to signal that the request has been fully written out.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#resetRequest()">resetRequest</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to reset the producer to its initial state.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#responseCompleted(org.apache.http.protocol.HttpContext)">responseCompleted</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to signal that the response has been fully processed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#responseReceived(org.apache.http.HttpResponse)">responseReceived</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A>&nbsp;response)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked when a HTTP response message is received.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.params.HttpParams)"><!-- --></A><H3>
BasicAsyncRequestExecutionHandler</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>BasicAsyncRequestExecutionHandler</B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                                    <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/FutureCallback.html?is-external=true" title="class or interface in org.apache.http.concurrent">FutureCallback</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;callback,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reuseStrategy,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3) use
   <A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy)"><CODE>BasicAsyncRequestExecutionHandler(
     HttpAsyncRequestProducer, HttpAsyncResponseConsumer, FutureCallback, HttpContext,
     HttpProcessor, ConnectionReuseStrategy)</CODE></A></I>
<P>
</DL>
<HR>

<A NAME="BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy, org.apache.http.params.HttpParams)"><!-- --></A><H3>
BasicAsyncRequestExecutionHandler</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>BasicAsyncRequestExecutionHandler</B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                                    <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reuseStrategy,
                                                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3) use
   <A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy)"><CODE>BasicAsyncRequestExecutionHandler(
     HttpAsyncRequestProducer, HttpAsyncResponseConsumer, FutureCallback, HttpContext,
     HttpProcessor, ConnectionReuseStrategy)</CODE></A></I>
<P>
</DL>
<HR>

<A NAME="BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor, org.apache.http.ConnectionReuseStrategy)"><!-- --></A><H3>
BasicAsyncRequestExecutionHandler</H3>
<PRE>
public <B>BasicAsyncRequestExecutionHandler</B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                         <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/FutureCallback.html?is-external=true" title="class or interface in org.apache.http.concurrent">FutureCallback</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;callback,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reuseStrategy)</PRE>
<DL>
<DD>Creates new instance of BasicAsyncRequestExecutionHandler.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>requestProducer</CODE> - the request producer.<DD><CODE>responseConsumer</CODE> - the response consumer.<DD><CODE>callback</CODE> - the future callback invoked when the operation is completed.<DD><CODE>localContext</CODE> - the local execution context.<DD><CODE>httppocessor</CODE> - the HTTP protocol processor.<DD><CODE>reuseStrategy</CODE> - the connection re-use strategy. If <code>null</code>
   <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/impl/DefaultConnectionReuseStrategy.html?is-external=true#INSTANCE" title="class or interface in org.apache.http.impl"><CODE>DefaultConnectionReuseStrategy.INSTANCE</CODE></A> will be used.<DT><B>Since:</B></DT>
  <DD>4.3</DD>
</DL>
</DL>
<HR>

<A NAME="BasicAsyncRequestExecutionHandler(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.protocol.HttpContext, org.apache.http.protocol.HttpProcessor)"><!-- --></A><H3>
BasicAsyncRequestExecutionHandler</H3>
<PRE>
public <B>BasicAsyncRequestExecutionHandler</B>(<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
                                         <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;&nbsp;responseConsumer,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;localContext,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httppocessor)</PRE>
<DL>
<DD>Creates new instance of BasicAsyncRequestExecutionHandler.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>requestProducer</CODE> - the request producer.<DD><CODE>responseConsumer</CODE> - the response consumer.<DD><CODE>localContext</CODE> - the local execution context.<DD><CODE>httppocessor</CODE> - the HTTP protocol processor.<DT><B>Since:</B></DT>
  <DD>4.3</DD>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getFuture()"><!-- --></A><H3>
getFuture</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt; <B>getFuture</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="close()"><!-- --></A><H3>
close</H3>
<PRE>
public void <B>close</B>()
           throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true#close()" title="class or interface in java.io">close</A></CODE> in interface <CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getTarget()"><!-- --></A><H3>
getTarget</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A> <B>getTarget</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#getTarget()">HttpAsyncRequestProducer</A></CODE></B></DD>
<DD>Invoked to obtain the request target host.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#getTarget()">getTarget</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="generateRequest()"><!-- --></A><H3>
generateRequest</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A> <B>generateRequest</B>()
                            throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                                   <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#generateRequest()">HttpAsyncRequestProducer</A></CODE></B></DD>
<DD>Invoked to generate a HTTP request message head. The message is expected
 to implement the <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpEntityEnclosingRequest.html?is-external=true" title="class or interface in org.apache.http"><CODE>HttpEntityEnclosingRequest</CODE></A> interface if it is
 to enclose a content entity. The <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)"><CODE>HttpAsyncRequestProducer.produceContent(ContentEncoder, IOControl)</CODE></A>
 method will not be invoked if <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpEntityEnclosingRequest.html?is-external=true#getEntity()" title="class or interface in org.apache.http"><CODE>HttpEntityEnclosingRequest.getEntity()</CODE></A>
 returns <code>null</code>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#generateRequest()">generateRequest</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>HTTP request message.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an I/O error
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></CODE> - in case of HTTP protocol violation</DL>
</DD>
</DL>
<HR>

<A NAME="produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)"><!-- --></A><H3>
produceContent</H3>
<PRE>
public void <B>produceContent</B>(<A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio">ContentEncoder</A>&nbsp;encoder,
                           <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A>&nbsp;ioctrl)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)">HttpAsyncRequestProducer</A></CODE></B></DD>
<DD>Invoked to write out a chunk of content to the <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio"><CODE>ContentEncoder</CODE></A>.
 The <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A> interface can be used to suspend output event
 notifications if the producer is temporarily unable to produce more content.
 <p/>
 When all content is finished, the producer <b>MUST</b> call
 <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html#complete()"><CODE>ContentEncoder.complete()</CODE></A>. Failure to do so may cause the entity
 to be incorrectly delimited.
 <p/>
 Please note that the <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio"><CODE>ContentEncoder</CODE></A> object is not thread-safe and
 should only be used within the context of this method call.
 The <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A> object can be shared and used on other thread
 to resume output event notifications when more content is made available.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)">produceContent</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>encoder</CODE> - content encoder.<DD><CODE>ioctrl</CODE> - I/O control of the underlying connection.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an I/O error</DL>
</DD>
</DL>
<HR>

<A NAME="requestCompleted(org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
requestCompleted</H3>
<PRE>
public void <B>requestCompleted</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#requestCompleted(org.apache.http.protocol.HttpContext)">HttpAsyncRequestProducer</A></CODE></B></DD>
<DD>Invoked to signal that the request has been fully written out.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#requestCompleted(org.apache.http.protocol.HttpContext)">requestCompleted</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>context</CODE> - HTTP context</DL>
</DD>
</DL>
<HR>

<A NAME="isRepeatable()"><!-- --></A><H3>
isRepeatable</H3>
<PRE>
public boolean <B>isRepeatable</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#isRepeatable()">HttpAsyncRequestProducer</A></CODE></B></DD>
<DD>Determines whether or not this producer is capable of producing
 HTTP request messages more than once.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#isRepeatable()">isRepeatable</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetRequest()"><!-- --></A><H3>
resetRequest</H3>
<PRE>
public void <B>resetRequest</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#resetRequest()">HttpAsyncRequestProducer</A></CODE></B></DD>
<DD>Invoked to reset the producer to its initial state. Repeatable request
 producers are expected to release currently allocated resources that are
 no longer needed or re-acquire resources needed to repeat the process.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#resetRequest()">resetRequest</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="responseReceived(org.apache.http.HttpResponse)"><!-- --></A><H3>
responseReceived</H3>
<PRE>
public void <B>responseReceived</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A>&nbsp;response)
                      throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                             <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#responseReceived(org.apache.http.HttpResponse)">HttpAsyncResponseConsumer</A></CODE></B></DD>
<DD>Invoked when a HTTP response message is received. Please note
 that the <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#consumeContent(org.apache.http.nio.ContentDecoder, org.apache.http.nio.IOControl)"><CODE>HttpAsyncResponseConsumer.consumeContent(ContentDecoder, IOControl)</CODE></A> method
 will be invoked only if the response messages has a content entity
 enclosed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#responseReceived(org.apache.http.HttpResponse)">responseReceived</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>response</CODE> - HTTP response message.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an I/O error
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></CODE> - in case of HTTP protocol violation</DL>
</DD>
</DL>
<HR>

<A NAME="consumeContent(org.apache.http.nio.ContentDecoder, org.apache.http.nio.IOControl)"><!-- --></A><H3>
consumeContent</H3>
<PRE>
public void <B>consumeContent</B>(<A HREF="../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio">ContentDecoder</A>&nbsp;decoder,
                           <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A>&nbsp;ioctrl)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#consumeContent(org.apache.http.nio.ContentDecoder, org.apache.http.nio.IOControl)">HttpAsyncResponseConsumer</A></CODE></B></DD>
<DD>Invoked to process a chunk of content from the <A HREF="../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio"><CODE>ContentDecoder</CODE></A>.
 The <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A> interface can be used to suspend input event
 notifications if the consumer is temporarily unable to process content.
 <p/>
 The consumer can use the <A HREF="../../../../../org/apache/http/nio/ContentDecoder.html#isCompleted()"><CODE>ContentDecoder.isCompleted()</CODE></A> method
 to find out whether or not the message content has been fully consumed.
 <p/>
 Please note that the <A HREF="../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio"><CODE>ContentDecoder</CODE></A> object is not thread-safe and
 should only be used within the context of this method call.
 The <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A> object can be shared and used on other thread
 to resume input event notifications when the consumer is capable of
 processing more content.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#consumeContent(org.apache.http.nio.ContentDecoder, org.apache.http.nio.IOControl)">consumeContent</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>decoder</CODE> - content decoder.<DD><CODE>ioctrl</CODE> - I/O control of the underlying connection.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an I/O error</DL>
</DD>
</DL>
<HR>

<A NAME="failed(java.lang.Exception)"><!-- --></A><H3>
failed</H3>
<PRE>
public void <B>failed</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</A>&nbsp;ex)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#failed(java.lang.Exception)">HttpAsyncRequestProducer</A></CODE></B></DD>
<DD>Invoked to signal that the response processing terminated abnormally.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#failed(java.lang.Exception)">failed</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#failed(java.lang.Exception)">failed</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ex</CODE> - exception</DL>
</DD>
</DL>
<HR>

<A NAME="cancel()"><!-- --></A><H3>
cancel</H3>
<PRE>
public boolean <B>cancel</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/Cancellable.html?is-external=true#cancel()" title="class or interface in org.apache.http.concurrent">cancel</A></CODE> in interface <CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/Cancellable.html?is-external=true" title="class or interface in org.apache.http.concurrent">Cancellable</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="responseCompleted(org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
responseCompleted</H3>
<PRE>
public void <B>responseCompleted</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#responseCompleted(org.apache.http.protocol.HttpContext)">HttpAsyncResponseConsumer</A></CODE></B></DD>
<DD>Invoked to signal that the response has been fully processed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#responseCompleted(org.apache.http.protocol.HttpContext)">responseCompleted</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>context</CODE> - HTTP context</DL>
</DD>
</DL>
<HR>

<A NAME="getResult()"><!-- --></A><H3>
getResult</H3>
<PRE>
public <A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A> <B>getResult</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#getResult()">HttpAsyncResponseConsumer</A></CODE></B></DD>
<DD>Returns a result of the response processing, when available. This method
 returns <code>null</code> if the response processing is still ongoing.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#getResult()">getResult</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#isDone()"><CODE>HttpAsyncResponseConsumer.isDone()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getException()"><!-- --></A><H3>
getException</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</A> <B>getException</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#getException()">HttpAsyncResponseConsumer</A></CODE></B></DD>
<DD>Returns an exception in case of an abnormal termination. This method
 returns <code>null</code> if the response processing is still ongoing
 or if it completed successfully.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#getException()">getException</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#isDone()"><CODE>HttpAsyncResponseConsumer.isDone()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getContext()"><!-- --></A><H3>
getContext</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A> <B>getContext</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html#getContext()">HttpAsyncRequestExecutionHandler</A></CODE></B></DD>
<DD>Returns shared <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>HttpContext</CODE></A> instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html#getContext()">getContext</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestExecutionHandler</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>HTTP context</DL>
</DD>
</DL>
<HR>

<A NAME="getHttpProcessor()"><!-- --></A><H3>
getHttpProcessor</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A> <B>getHttpProcessor</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html#getHttpProcessor()">HttpAsyncRequestExecutionHandler</A></CODE></B></DD>
<DD>Returns <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol"><CODE>HttpProcessor</CODE></A> implementation to be used to process
 HTTP request and response messages for protocol compliance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html#getHttpProcessor()">getHttpProcessor</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestExecutionHandler</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>HTTP protocol processor.</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionReuseStrategy()"><!-- --></A><H3>
getConnectionReuseStrategy</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A> <B>getConnectionReuseStrategy</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html#getConnectionReuseStrategy()">HttpAsyncRequestExecutionHandler</A></CODE></B></DD>
<DD>Returns <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http"><CODE>ConnectionReuseStrategy</CODE></A> implementation to be used
 to determine whether or not the underlying connection can be kept alive
 after a particular HTTP request / response exchange.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html#getConnectionReuseStrategy()">getConnectionReuseStrategy</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestExecutionHandler</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>connection re-use strategy.</DL>
</DD>
</DL>
<HR>

<A NAME="isDone()"><!-- --></A><H3>
isDone</H3>
<PRE>
public boolean <B>isDone</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#isDone()">HttpAsyncResponseConsumer</A></CODE></B></DD>
<DD>Determines whether or not the response processing completed. If the
 response processing terminated normally <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#getResult()"><CODE>HttpAsyncResponseConsumer.getResult()</CODE></A>
 can be used to obtain the result. If the response processing terminated
 abnormally <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#getException()"><CODE>HttpAsyncResponseConsumer.getException()</CODE></A> can be used to obtain the cause.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html#isDone()">isDone</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="type parameter in BasicAsyncRequestExecutionHandler">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicAsyncRequestExecutionHandler.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestHandler.html" title="class in org.apache.http.nio.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicAsyncRequestExecutionHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
